org.mariadb.jdbc.internal.protocol.authentication

## Interface AuthenticationProviderHolder.AuthenticationProvider

Enclosing class:
  AuthenticationProviderHolder

    public static interface AuthenticationProviderHolder.AuthenticationProvider

Provider to handle authentication.

### Method Summary

All Methods Instance Methods Abstract Methods
`AuthenticationPlugin` `processAuthPlugin(String plugin, String password, byte[] authData, Options options)`

### Method Detail

#### processAuthPlugin

    AuthenticationPlugin processAuthPlugin(String plugin,
                                           String password,
                                           byte[] authData,
                                           Options options)
                                    throws SQLException

Throws:
  `SQLException`